# The Capability object

### The Capability object

```json
{
  "id": "card_payments",
  "object": "capability",
  "account": "acct_1032D82eZvKYlo2C",
  "future_requirements": {
    "alternatives": [],
    "current_deadline": null,
    "currently_due": [],
    "disabled_reason": null,
    "errors": [],
    "eventually_due": [],
    "past_due": [],
    "pending_verification": []
  },
  "requested": true,
  "requested_at": 1688491010,
  "requirements": {
    "alternatives": [],
    "current_deadline": null,
    "currently_due": [],
    "disabled_reason": null,
    "errors": [],
    "eventually_due": [],
    "past_due": [],
    "pending_verification": []
  },
  "status": "inactive"
}
```

## Attributes

- `id` (string)
  The identifier for the capability.

- `object` (string)
  String representing the object’s type. Objects of the same type share the same value.

- `account` (string, expandable (can be expanded into an object with the `expand` request parameter))
  The account for which the capability enables functionality.

- [`future_requirements`](https://docs.stripe.com/api/capabilities/object.md?query=future_requirements) (object)
  Information about the [upcoming new requirements for the capability](https://docs.stripe.com/connect/custom-accounts/future-requirements.md), including what information needs to be collected, and by when.

- `requested` (boolean)
  Whether the capability has been requested.

- `requested_at` (timestamp, nullable)
  Time at which the capability was requested. Measured in seconds since the Unix epoch.

- [`requirements`](https://docs.stripe.com/api/capabilities/object.md?query=requirements) (object)
  Information about the requirements for the capability, including what information needs to be collected, and by when.

- `status` (enum)
  The status of the capability.
Possible enum values:
  - `active`
    The capability is active.

  - `inactive`
    The capability is inactive.

  - `pending`
    The capability is inactive with requirements pending verification.

  - `unrequested`
    The capability is unrequested.
